\name{getEDI}
\alias{getEDI}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Compute EDI score
}
\description{
This function computes EDI score based on data extracted by function getRegionalComposition
}
\usage{
getEDI(ff, regStatDir, n = 400, q = 0.8, minCell = NULL, maxK = 5, sampling = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ff}{
sample folder name}
  \item{regStatDir}{
directory where getRegionalComposition output is stored
}
  \item{n}{
region size in number of pixels 
}
  \item{q}{
quantile of data to compute the score
}
  \item{minCell}{
 minimal number of cells per region; by default it is n/25
}
  \item{maxK}{
 maximum number of clusters expected
}
  \item{sampling}{
if specified this should be a percentage such as 0.9 for sampling purpose
}
}
\details{
This is the main function for the package. It computes the EDI score based on composition data generated from the function getRegionalComposition. 
getRegionalComposition first reads CRImage processed files for all the sub images in a tumor section slide, divides an sub image into the size of region specified by the parameter n, and writes cell count table as a csv file. The getEDI function then uses this table to calculate the Shannon Diversity Index score for each region using the R package vegan. The regional diversity scores were then used for clustering using the R package Mclust. 
}
\value{
 The final EDI score should be a descret number, which represents the number of clusters for this tumor.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (ff, regStatDir, n = 400, q = 0.8, minCell = NULL, maxK = 5, 
    sampling = NULL) 
{
    require(mclust)
    require(vegan)
    if (is.null(minCell)) 
        minCell <- n/25
    res <- try(read.table(paste(regStatDir, ff, ".txt", sep = ""), 
        as.is = T, sep = "\t", row.names = NULL))
    if (class(res) != "try-error") {
        if (!is.null(sampling)) 
            res <- res[sample(1:nrow(res), nrow(res) * sampling), 
                ]
        res <- res[rowSums(res[, 3:5]) >= minCell, ]
        dvs <- diversity(res[, 3:5], index = "shannon", MARGIN = 1)
        x <- dvs[dvs < quantile(dvs, q, na.rm = T)]
        x <- x[x > quantile(dvs, 1 - q, na.rm = T)]
        x <- x[!is.na(x)]
        if (length(x) > 3) {
            s <- Mclust(x, G = 1:maxK)$G
        }
        else {
            s <- NA
        }
    }
    else {
        s <- NA
    }
    s
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
