\name{getRegionalComposition}
\alias{getRegionalComposition}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Compute tumor regional composition of different cell types}
\description{
This function computes the number of cells for each cell type in tumor regions based on CRImage result
}
\usage{
getRegionalComposition(ff, imgDir, outputDir = "./", n = 400)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ff}{
sample folder name}
  \item{imgDir}{
directory where CRImage output is stored}
  \item{outputDir}{
directory where output of this function is stored }
  \item{n}{
region size in number of pixels   
}
}
\details{
 getRegionalComposition first reads CRImage processed files for all the sub images in a tumor section slide, divides an sub image into the size of region specified by the parameter n, and writes cell count table as a csv file.
}
\value{
A csv file that contains proportion of cells for each type in tumor regions.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (ff, imgDir, outputDir = "./", n = 400) 
{
    m <- 2000/n
    ff1 <- dir(paste(imgDir, "/", ff, "/Cells/", sep = ""))
    res <- NULL
    for (cc in ff1) {
        tab <- try(getCellFiles(paste(imgDir, "/", ff, "/Cells/", 
            cc, sep = "")))
        if (class(tab) != "try-error") 
            if (nrow(tab) > 5) {
                x <- tab[, "g.x"]\%/\%n + 1
                y <- tab[, "g.y"]\%/\%n + 1
                pos <- factor(m * (x - 1) + y, levels = 1:m^2)
                cls <- factor(rownames(tab), levels = c("a", 
                  "c", "l", "o"))
                cellDen <- table(cls, pos)
                colnames(cellDen) <- rep(cc, ncol(cellDen))
                res <- rbind(res, t(cellDen))
            }
    }
    write.table(res, paste(outputDir, "/", ff, ".txt", sep = ""), 
        quote = F, sep = "\t")
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
