\name{plotRegionDiv3D}
\alias{plotRegionDiv3D}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Plot EDI results in 3D
}
\description{
This function visualizes EDI analysis results as a 3D landscape showing the diversity index as z, across spatial dimensions x and y}
\usage{
plotRegionDiv3D(imgDir, outputDir, ff, q = 0.8)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{imgDir}{
input directory; usually is a folder generated by the getCellPos function; it should contain a "CellPosAndMask" folder where cell position files are stored; a "OutputImage" folder where scaled down H&E images are stored.}
  \item{outputDir}{
output directory}
  \item{ff}{
file name}
  \item{q}{
parameter q defined as the same as in getEDI function}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
png files
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (imgDir, outputDir, ff, q = 0.8) 
{
    require(rgl)
    require(sm)
    load(paste0(outputDir, "/", ff, ".rdata"))
    i <- which(mat > q)
    x <- i\%\%nrow(mat) + 1
    y <- ncol(mat) - i\%\%ncol(mat)
    data <- data.frame(x = x, y = y)
    data$y <- data$y * 10
    res <- sm.density(cbind(data$x, data$y), h = c(10, 10), display = "contour", 
        eval.points = cbind(seq(1, max(data$x), len = 200), seq(1, 
            max(data$y), len = 200)))
    points(data$x, data$y, cex = 0.5)
    z <- res$estimate
    z <- mat
    z[z == -1] <- 0
    z[z < 0.1] <- 0
    z <- 2^(2^z)
    z[z == 2] <- 0
    x <- 10 * (1:nrow(z))
    y <- 10 * (1:ncol(z))
    zlim <- range(z)
    zlen <- zlim[2] - zlim[1] + 1
    colorlut <- colorRampPalette(c("white", "lightblue", "blue"))(zlen)
    col <- colorlut[z - zlim[1] + 1]
    img <- readImage(paste0(imgDir, "/OutputImage/", ff, "OrginialImage.jpg"))
    writeImage(img, file = paste0(outputDir, "/", ff, "OrginialImage.png"))
    open3d()
    z[z != 0] = rnorm(length(z[z != 0]), 10, 5)
    rgl.surface(x, y, z * 1e-06 - 50, texture = paste0(outputDir, 
        "/", ff, "OrginialImage.png"), alpha = 0.8, lit = T, 
        add = F)
    rgl.surface(x, y, 2 * z, texture = paste0(outputDir, "/", 
        ff, "OrginialImage.png"), color = col, alpha = 0.6, lit = T, 
        add = T)
    rgl.snapshot(paste0(outputDir, "/", ff, "3D.png"), "png")
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
